Galon Cloud
Galon API v1

/projects/{project_id}/dns/zones/{domain}

Base URL https://api.galon.ai/v1 · export GALON_API_BASE="https://api.galon.ai/v1"

DELETE /projects/{project_id}/dns/zones/{domain}

Delete a DNS zone

Administrator SESSION route (console). Served only when the service is open to the account (404 not_found otherwise). Non-administrator member: 403.

Console session only (signed-in console).

Parameters

NameInTypeDescription
project_idpathstring · requiredproject identifier
domainpathstring · requireddomain name

Responses

StatusDescriptionBody
200Zone deletedobject
401Key missing or invalidError

Examples

curl

curl -X DELETE "$GALON_API_BASE/projects/<project_id>/dns/zones/<domain>" \
  -H "Authorization: Bearer $GALON_API_KEY"